Skip to main content
POST
/
transactions
/
unlock
Unlock transactions
curl --request POST \
  --url https://api.breezing.io/v1/transactions/unlock \
  --header 'Content-Type: application/json' \
  --data '
{
  "ids": [
    123
  ]
}
'
import requests

url = "https://api.breezing.io/v1/transactions/unlock"

payload = { "ids": [123] }
headers = {"Content-Type": "application/json"}

response = requests.post(url, json=payload, headers=headers)

print(response.text)
const options = {
method: 'POST',
headers: {'Content-Type': 'application/json'},
body: JSON.stringify({ids: [123]})
};

fetch('https://api.breezing.io/v1/transactions/unlock', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "success": true,
  "data": {
    "updated": 123,
    "alreadyUnlocked": 123,
    "dedupedFrom": 123
  }
}
{
"success": false,
"error": {
"code": "<string>",
"message": "<string>"
}
}
{
"success": false,
"error": {
"code": "<string>",
"message": "<string>"
}
}
{
"success": false,
"error": {
"code": "<string>",
"message": "<string>"
}
}
{
"success": false,
"error": {
"code": "<string>",
"message": "<string>"
}
}
{
"success": false,
"error": {
"code": "<string>",
"message": "<string>"
}
}
{
"success": false,
"error": {
"code": "<string>",
"message": "<string>"
}
}

Query Parameters

orgId
string
required

Organization ID. Use GET /v1/companies to discover available org/company pairs.

Example:

"1"

companyId
string
required

Company ID. Use GET /v1/companies to discover available companies and their access levels.

Example:

"1"

Body

application/json
ids
integer[]
required

Transaction IDs to unlock (max 500). IDs that are not locked are counted in alreadyUnlocked and left unchanged. Duplicate IDs are deduplicated server-side.

Required array length: 1 - 500 elements

Response

Transactions unlocked

success
enum<boolean>
required
Available options:
true
data
object
required
Last modified on July 10, 2026